Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/locations \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "loc_NoMGXmHO9OUs7iz9mGWpamma",
"object": "location",
"name": "Belleville",
"shape": {
"type": "circle",
"format": "distance",
"distance": {
"center": "geo:40.79372699823857,-74.15092132694554",
"radius": "1.54 km"
}
},
"created_at": "2022-07-15T06:04:36.924Z",
"updated_at": null
},
{
"id": "loc_ae2gKWpAFMsuRhyMqGx2FZFF",
"object": "location",
"name": "New York",
"shape": {
"type": "polygon",
"format": "geojson",
"geojson": {
"type": "Polygon",
"coordinates": [
[
[
-74.016167,
40.703186
],
[
-74.008687,
40.750656
],
[
-73.943597,
40.851838
],
[
-73.928559,
40.845285
],
[
-73.936152,
40.8356
],
[
-73.934298,
40.810015
],
[
-73.92711,
40.795145
],
[
-73.978623,
40.710432
],
[
-74.013201,
40.701619
],
[
-74.016167,
40.703186
]
]
]
}
},
"created_at": "2022-07-15T05:37:45.299Z",
"updated_at": null
},
{
"id": "loc_f5HqjVaiq7g9ISlmivpytxSf",
"object": "location",
"name": "Germany",
"shape": {
"type": "circle",
"format": "distance",
"distance": {
"center": "geo:51.303908897065064,10.222253628401518",
"radius": "192.37 km"
}
},
"created_at": "2022-07-14T15:51:39.265Z",
"updated_at": null
},
{
"id": "loc_RcYz537sV07e1t5aG5tIH9FD",
"object": "location",
"name": "Poland",
"shape": {
"type": "polygon",
"format": "geojson",
"geojson": {
"type": "Polygon",
"coordinates": [
[
[
18.553923,
50.559107
],
[
18.528805,
51.087437
],
[
19.591667,
50.832424
],
[
19.425109,
50.497984
],
[
19.375814,
50.330652
],
[
19.398107,
50.111652
],
[
18.73906,
49.981498
],
[
18.272477,
50.088707
],
[
18.553923,
50.559107
]
]
]
}
},
"created_at": "2022-07-14T15:21:55.085Z",
"updated_at": null
}
],
"total": 4,
"has_more": false
}Returns a list of your locations.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/locations \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "loc_NoMGXmHO9OUs7iz9mGWpamma",
"object": "location",
"name": "Belleville",
"shape": {
"type": "circle",
"format": "distance",
"distance": {
"center": "geo:40.79372699823857,-74.15092132694554",
"radius": "1.54 km"
}
},
"created_at": "2022-07-15T06:04:36.924Z",
"updated_at": null
},
{
"id": "loc_ae2gKWpAFMsuRhyMqGx2FZFF",
"object": "location",
"name": "New York",
"shape": {
"type": "polygon",
"format": "geojson",
"geojson": {
"type": "Polygon",
"coordinates": [
[
[
-74.016167,
40.703186
],
[
-74.008687,
40.750656
],
[
-73.943597,
40.851838
],
[
-73.928559,
40.845285
],
[
-73.936152,
40.8356
],
[
-73.934298,
40.810015
],
[
-73.92711,
40.795145
],
[
-73.978623,
40.710432
],
[
-74.013201,
40.701619
],
[
-74.016167,
40.703186
]
]
]
}
},
"created_at": "2022-07-15T05:37:45.299Z",
"updated_at": null
},
{
"id": "loc_f5HqjVaiq7g9ISlmivpytxSf",
"object": "location",
"name": "Germany",
"shape": {
"type": "circle",
"format": "distance",
"distance": {
"center": "geo:51.303908897065064,10.222253628401518",
"radius": "192.37 km"
}
},
"created_at": "2022-07-14T15:51:39.265Z",
"updated_at": null
},
{
"id": "loc_RcYz537sV07e1t5aG5tIH9FD",
"object": "location",
"name": "Poland",
"shape": {
"type": "polygon",
"format": "geojson",
"geojson": {
"type": "Polygon",
"coordinates": [
[
[
18.553923,
50.559107
],
[
18.528805,
51.087437
],
[
19.591667,
50.832424
],
[
19.425109,
50.497984
],
[
19.375814,
50.330652
],
[
19.398107,
50.111652
],
[
18.73906,
49.981498
],
[
18.272477,
50.088707
],
[
18.553923,
50.559107
]
]
]
}
},
"created_at": "2022-07-14T15:21:55.085Z",
"updated_at": null
}
],
"total": 4,
"has_more": false
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.
1 <= x <= 100Sorts the results using one of the filtering options, where the dash - preceding a sorting option means sorting in a descending order.
created_at, -created_at, updated_at, -updated_at Filter the locations using one of the available filters.
Show child attributes
A filter on the list based on the end date. This will filter out all locations whose end date falls before the specified date and time. A date value must be presented in the ISO 8601 format (2016-11-16T14:14:31Z or 2016-11-16).
"2023-12-22T10:13:06.487Z"
Returns a dictionary that contains an array of locations. Each entry in the array is a separate location object. If no more locations are available, the resulting array will be empty. The result can be narrowed down according to specified (or default) filters.
Response schema for listing locations using GET v1/locations.
The type of the object represented by JSON. This object stores information about locations in a dictionary.
Identifies the name of the attribute that contains the array of metadata schema objects.
Array of location objects.
Show child attributes
Total number of locations.
As query results are always limited (by the limit parameter), the has_more flag indicates if there are more records for given filter parameters. This lets you know if you can run another request (with a different end date filter) to get more records returned in the results.
Was this page helpful?